MP4(3)

NAME

MP4AddODTrack - Add a object descriptor (OD) track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddODTrack(
    MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddODTrack adds an object descriptor (aka OD) track to the mp4 file. MP4WriteSample() can then be used to add the desired OD commands to the track. The burden is currently on the calling application to understand OD.

Those wishing to have a simple audio/video scene without understanding OD may wish to use MP4MakeIsmaCompliant() to create the minimal OD and BIFS information.

SEE ALSO

MP4(3)